%==========================================================================
% Mercury Matlab Version 1.0.1
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2010, CU-NEES
% Written  : August 2010.
% File name: OutputSectionAxialDeformation.m
%==========================================================================

function OutputSectionAxialDeformation(str,ele,sec,icnt)
%--------------------------------------------------------------------------
ndofpn = str.ndofpn;
eles   = str.outfile(icnt).eles;
nelesize = str.outfile(icnt).nelesize;

filename = str.outfile(icnt).filename;
fid = fopen(filename, 'a');
for ielesize = 1:nelesize
    sectag = eles(ielesize,1);
    eletag = eles(ielesize,2);
    eletype = ele(eletag).type;
    if (str.ndim == 2 && ndofpn == 2)
        sad = ele(eletag).(eletype).es;
        fprintf(fid,'%f ', sad);
    elseif (str.ndim == 2 && str.ndofpn == 3)
        sectypetag  = ele(eletag).sectag;
        sectype = sec(sectypetag).type;
        sad = ele(eletag).(eletype).(sectype).es(1,sectag);
        fprintf(fid,'%f ', sad);
    end
end
fprintf(fid,'\n');
fclose(fid);