%==========================================================================
% Mercury Matlab Version 1.0.1
% Written by Dae-Hung Kang, CU-NEES
% Copyright 2010, CU-NEES
% Written  : August 2010.
% File name: OutputUniaxialStressStrain.m
%==========================================================================

function OutputUniaxialStressStrain(str,ele,sec,mat,icnt)
%--------------------------------------------------------------------------
ndofpn = str.ndofpn;
eles   = str.outfile(icnt).eles;
nelesize = str.outfile(icnt).nelesize;

filename = str.outfile(icnt).filename;
fid = fopen(filename, 'a');
for ielesize = 1:nelesize
    fibertag = eles(ielesize,1);
    sectag   = eles(ielesize,2);
    eletag   = eles(ielesize,3);
    eletype = ele(eletag).type;
    if (str.ndim == 2 && ndofpn == 2)
        sigma = ele(eletag).(eletype).intss;
        epsilon = ele(eletag).(eletype).es;
        fprintf(fid,'%f %f ', sigma, epsilon);
    elseif (str.ndim == 2 && str.ndofpn == 3)
        sectypetag  = ele(eletag).sectag;
        sectype     = sec(sectypetag).type;
        mattag      = sec(sectypetag).(sectype).mattag(fibertag);
        mattype     = mat(mattag).type;
        sigma       = ele(eletag).(eletype).(sectype).(mattype).sigma(sectag, fibertag);
        epsilon     = ele(eletag).(eletype).(sectype).(mattype).epsilon(sectag, fibertag);
        fprintf(fid,'%f %f', sigma, epsilon);
    end
end
fprintf(fid,'\n');
fclose(fid);